"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OpfGuide {
    constructor(title, href) {
        this.href = href;
        this.title = title;
    }
    write(xml, type) {
        xml.ele("opf:reference", {
            "type": type,
            "href": this.href,
            "title": this.title
        });
    }
}
exports.OpfGuide = OpfGuide;
//# sourceMappingURL=OpfGuide.js.map