"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OpfManifest {
    constructor(id, href, mime) {
        this.id = id;
        this.href = href;
        this.mime = mime;
    }
    write(xml) {
        xml.ele("opf:item", {
            "id": this.id,
            "href": this.href,
            "media-type": this.mime
        });
    }
}
exports.OpfManifest = OpfManifest;
//# sourceMappingURL=OpfManifest.js.map