"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OpfCreator {
    constructor(name, role = undefined) {
        this.name = name;
        this.role = role;
    }
    write(xml, type) {
        let attrs = {};
        if (this.role) {
            attrs["opf:role"] = this.role;
        }
        xml.ele("dc:" + type, attrs, this.name);
    }
}
exports.OpfCreator = OpfCreator;
//# sourceMappingURL=OpfCreator.js.map