"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OpfSeries {
    constructor(name = undefined, volume = undefined) {
        this.name = name;
        this.volume = volume;
    }
    write(xml) {
        if (this.name) {
            xml.ele("meta", { content: this.name, name: "calibre:series" });
        }
        if (this.volume) {
            xml.ele("meta", { content: this.volume, name: "calibre:series_index" });
        }
    }
}
exports.OpfSeries = OpfSeries;
//# sourceMappingURL=OpfSeries.js.map