"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class OpfSpine {
    constructor(id) {
        this.linear = true;
        this.id = id;
    }
    write(xml) {
        let attrs = {
            "idref": this.id
        };
        if (!this.linear) {
            attrs["linear"] = "no";
        }
        xml.ele("opf:itemref", attrs);
    }
}
exports.OpfSpine = OpfSpine;
//# sourceMappingURL=OpfSpine.js.map